5.005_02, Tk800.011, X error on widget demo 
Author Message
 5.005_02, Tk800.011, X error on widget demo

Hi,

I have Linux (kernel 2.0.30) and have compiled up 5.005_02 (threaded). I
have tried to build and test Tk800.011 but the widget demo, - run with:

        perl -Mblib demos/widget

fails with the following error:

        XIO:  fatal IO error 0 (Unknown error) on X server "womble:1.0"
        after 28 requests (26 known processed) with 1 events remaining.

I'm running a libc 5 system with gcc version 2.7.2.1.

After scouring various news / Web sites I found messages like this
relating to threaded X libraries (not for Tk, but for other X-related
products under Linux), which recommended using a later server and
libraries which seemed to fix the problem for some people, - so I
downloaded
the latest Xfree server, version 3.3.2.3, to see if it *would* fix the
problem.

No dice.

I've also tried reverting to building and testing Tk402.004 and get the
same results. (only difference is that there are more "requests")

Any ideas?

Kind regards

Derek Jones

----------------------------------------------------------------------------
--
Derek Jones                                         SCUNA Computer
Consultancy
                                                   16 Edgedale Road,
Sheffield
Computer Consultant                                                 S7 2BQ
UK
SCUNA (Systems,C,UNIX,Networking,Advice)              Tel: +44 (0)114 255
5524

7846
http://www.*-*-*.com/ ;   Mobile: +44 (0)468 300
025
----------------------------------------------------------------------------
--
"You're from *{*filter*}space*?" "No I'm from Sheffield, I only work in
{*filter*}space"



Sat, 24 Mar 2001 03:00:00 GMT  
 
 [ 1 post ] 

 Relevant Pages 

1. 5.005_02, Tk800.011, X error on widget demo

2. perl 5.005_02 w/Tk800.011 on WinNT 4.0 MSC 6.0

3. Problem Installing Tk800.011

4. Help! Building TK800.011 on Win32

5. Help! Building TK800.011 on Win32

6. Perl 5.004_02/Tk402.002 vs Perl 5.005.02 Tk800.011 (ActiveState)

7. Button problem with NT 4 sp3, ActivePerl APi506e , Tk800.011

8. Problem Installing Tk800.011

9. Tk800.011 available here!

10. Perl 5.00502 w/ Tk800.011 for Win32 x86

11. Help! Building TK800.011 on Win32

12. New Tk800.011 build and font problems

 

 
Powered by phpBB® Forum Software